Bug 129539 - dovecot starts before named
Summary: dovecot starts before named
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: dovecot   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Petr Rockai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 181409
TreeView+ depends on / blocked
 
Reported: 2004-08-10 08:57 UTC by Anduin Withers
Modified: 2014-01-21 22:49 UTC (History)
2 users (show)

Fixed In Version: RHBA-2006-0439
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 21:35:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0439 normal SHIPPED_LIVE dovecot bug fix update 2006-08-09 04:00:00 UTC

Description Anduin Withers 2004-08-10 08:57:15 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET 
CLR 1.0.3705; .NET CLR 1.1.4322)

Description of problem:
dovecot has a start priority of 54, named has 55, an argument can be 
made that dovecot is at least two off (cyrus-imapd has 65 as a 
comparison).

One bad scenario this creates:

In the case where someone uses the host address to explicitly specify 
the listen address (imap_listen and/or imaps_listen for example) 
dovecot will fail to start.



Version-Release number of selected component (if applicable):
dovecot-0.99.10.5-0.FC2

How reproducible:
Always

Steps to Reproduce:
1. Set imap_listen to a hostname resolvable only once named has 
started (like in a local caching nameserver, etc).
    

Additional info:

Comment 1 John Dennis 2005-01-05 21:35:23 UTC
O.K. - moved the numbers to 65 35 to match cyrus-imapd, for what its
worth postfix and sendmail are 80 30. I didn't add any logic to the
%post script to try and move the symlinks if dovecot had already been
installed, a chkconfig --del followed by a --add should fix it for any
previously installed packages.

Comment 3 Warren Togami 2005-10-10 14:48:18 UTC
Reassigning to RHEL4.

Comment 12 Red Hat Bugzilla 2006-08-10 21:35:23 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0439.html



Note You need to log in before you can comment on or make changes to this bug.